import { DTDataSource, DTOrderDirection, DTRowItem } from './types';
import { ExtractPropTypes, PropType } from 'vue';
export declare const componentProps: {
    dataSource: {
        type: PropType<DTDataSource>;
        default: string;
    };
    url: {
        type: PropType<string | null>;
        default: null;
    };
    items: {
        type: PropType<DTRowItem[]>;
        default: () => never[];
    };
    pagination: {
        type: BooleanConstructor;
        default: boolean;
    };
    rowsPerPageCount: {
        type: NumberConstructor;
        default: number;
    };
    rowsPerPageOptions: {
        type: PropType<number[]>;
        default: () => number[];
    };
    searching: {
        type: BooleanConstructor;
        default: boolean;
    };
    orderBy: {
        type: PropType<string | null>;
        required: boolean;
        default: null;
    };
    orderDirection: {
        type: PropType<DTOrderDirection>;
        default: string;
    };
    rowSelection: {
        type: BooleanConstructor;
        default: boolean;
    };
    actions: {
        type: BooleanConstructor;
        default: boolean;
    };
    numbering: {
        type: BooleanConstructor;
        default: boolean;
    };
    scrollX: {
        type: BooleanConstructor;
        default: boolean;
    };
    fixedColumnsStart: {
        type: NumberConstructor;
        required: boolean;
        default: number;
    };
    fixedColumnsEnd: {
        type: NumberConstructor;
        required: boolean;
        default: number;
    };
};
type TComponentProps = ExtractPropTypes<typeof componentProps>;
export declare const validateProps: (props: TComponentProps) => void;
export {};
